import { EventEmitter, OnInit } from '@angular/core';
import { ButtonDocumentModel, DocumentResponse } from '../../shared/models';
import { SignalRService } from '../../core/services';
import { TotvsVisionOcrListComponent } from './totvs-vision-ocr-list/totvs-vision-ocr-list.component';
import { TotvsVisionOcrQRCodeComponent } from './totvs-vision-ocr-qrcode/totvs-vision-ocr-qrcode.component';
import * as i0 from "@angular/core";
export declare class TotvsVisionOCRComponent implements OnInit {
    private signalRService;
    qrCodeModal?: TotvsVisionOcrQRCodeComponent;
    listModal?: TotvsVisionOcrListComponent;
    listButtonsDocument: Array<ButtonDocumentModel>;
    idTotvsVision: string;
    idProjeto: string;
    sidebarBgColor: string;
    isCollapsed: boolean;
    informacaoEnviada: EventEmitter<{
        menssagem: Array<DocumentResponse>;
        uniqueKey: number;
    }>;
    habilitarQrCode: boolean;
    habilitarLista: boolean;
    sidebarBgColorAux: string;
    constructor(signalRService: SignalRService);
    ngOnInit(): void;
    openQrCodeModal(): void;
    openListModal(): void;
    receberInformacao(informacao: {
        menssagem: Array<DocumentResponse>;
        uniqueKey: number;
    }): void;
    toggleSidebar(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<TotvsVisionOCRComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TotvsVisionOCRComponent, "totvs-vision-ocr", never, { "listButtonsDocument": { "alias": "listButtonsDocument"; "required": false; }; "idTotvsVision": { "alias": "idTotvsVision"; "required": false; }; "idProjeto": { "alias": "idProjeto"; "required": false; }; "sidebarBgColor": { "alias": "sidebarBgColor"; "required": false; }; "isCollapsed": { "alias": "isCollapsed"; "required": false; }; }, { "informacaoEnviada": "informacaoEnviada"; }, never, never, true, never>;
}
