import { EventEmitter } from '@angular/core';
import { PoModalComponent, PoNotificationService } from '@po-ui/ng-components';
import { SessionIdApi } from '../../../core/https/session-id.api';
import { SignalRService } from '../../../core/services';
import { ButtonDocumentModel, DocumentResponse } from '../../../shared/models';
import * as i0 from "@angular/core";
export declare class TotvsVisionOcrQRCodeComponent {
    private signalRService;
    private sessionIdApi;
    private poNotificationService;
    idTotvsVision: string;
    idProjeto: string;
    listButtonsDocument: Array<ButtonDocumentModel>;
    informacaoEnviada: EventEmitter<{
        menssagem: Array<DocumentResponse>;
        uniqueKey: number;
    }>;
    loading: boolean;
    screenLock: boolean;
    sessionID: string | null;
    sessionTimeLeft: string;
    myAngularxQrCode: string;
    countdownInterval: any;
    ngOnDestroy(): void;
    ngOnInit(): void;
    qrCodeModal?: PoModalComponent;
    closeQrCodeModal(): void;
    openQrCodeModal(): void;
    constructor(signalRService: SignalRService, sessionIdApi: SessionIdApi, poNotificationService: PoNotificationService);
    private initializeSignalRConnection;
    private joinSession;
    validateSession(): void;
    getSessionID(): void;
    private startCountdown;
    private clearSessionID;
    static ɵfac: i0.ɵɵFactoryDeclaration<TotvsVisionOcrQRCodeComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TotvsVisionOcrQRCodeComponent, "totvs-vision-ocr-qr-code", never, { "idTotvsVision": { "alias": "idTotvsVision"; "required": false; }; "idProjeto": { "alias": "idProjeto"; "required": false; }; "listButtonsDocument": { "alias": "listButtonsDocument"; "required": false; }; }, { "informacaoEnviada": "informacaoEnviada"; }, never, never, true, never>;
}
